[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TJPEGImage.CompressionQuality

Determine the compression quality for the image data.

## Declaration

Source position: graphics.pp line 1819

`public property TJPEGImage.CompressionQuality : TJPEGQualityRange read FQuality write SetCompressionQuality;`

## Description

Extreme compression can lead to loss of quality at the expense of a small file size.

The allowed range is 1..100, where 100 is best quality, and 25 is pretty awful.